package com.example.pap_teste.models;

import java.io.Serializable;
import com.google.firebase.database.PropertyName;

public class OperatingHoursDay implements Serializable {
    @PropertyName("isOpen")
    private boolean openStatus;
    private String openTime;
    private String closeTime;

    public OperatingHoursDay() {
        // Construtor vazio necessário para Firebase
    }

    @PropertyName("isOpen")
    public boolean getOpenStatus() {
        return openStatus;
    }

    @PropertyName("isOpen")
    public void setOpenStatus(boolean openStatus) {
        this.openStatus = openStatus;
    }

    public String getOpenTime() {
        return openTime;
    }

    public void setOpenTime(String openTime) {
        this.openTime = openTime;
    }

    public String getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(String closeTime) {
        this.closeTime = closeTime;
    }
}
